pipeline:
  publish-dev:
    image: plugins/docker 
    secrets:
      - docker_password
    settings:
      username: xeovalyte
      password:
        from_secret: docker_password
      repo: gitea.xeovalyte.dev/xeovalyte/wrbapp
      tags:
        - latest 
      registry: gitea.xeovalyte.dev
    when:
      branch: dev
